## xlnx-kria-firmware 0.6~20.04.1

=== device-tree/Makefile ===
prefix = /usr/local

DTB = system-top.dtb
DTBOS = zynqmp-sck-kv-g-dp.dtbo \
	zynqmp-sck-kv-g-rev1.dtbo \
	zynqmp-sck-kv-g-revB.dtbo \
	zynqmp-sck-kv-g-revZ.dtbo
ALL_DTB = $(DTB) $(DTBOS)

.PHONY: all
all: $(ALL_DTB)

$(DTB):
	dtc -I dts -O dtb -o $(DTB) system.dts

$(DTBOS):
	dtc -I dts -O dtb -o $@ $(subst .dtbo,.dts,$@)

INSTALL_DIR=$(DESTDIR)$(prefix)/share/xlnx-kria-firmware/devicetree/
install: all
	mkdir -p $(INSTALL_DIR)
	install -D -m 644 $(ALL_DTB) $(INSTALL_DIR)

uninstall:
	rm -rf $(INSTALL_DIR)

clean:
	rm -f *.dtb *.dtbo

distclean: clean

=== debian/changelog ===
xlnx-kria-firmware (0.6~20.04.1) focal; urgency=medium

  * Backport package to focal (LP: #1943542).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 14 Sep 2021 11:47:30 +0200

xlnx-kria-firmware (0.6) impish; urgency=medium

  * Remove unneeded xilinx-hdmi-rx-edid.bin file.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 14 Sep 2021 09:18:39 +0200

xlnx-kria-firmware (0.5) impish; urgency=medium

  * Use now dts files from public repository:
    https://github.com/Xilinx/ubuntu-firmware/tree/main/xlnx-kria-firmware/k26
  * debian: update copyright and add README.Debian with info about sources

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 06 Sep 2021 10:36:52 +0200

xlnx-kria-firmware (0.4) focal; urgency=medium

  * Force removal of files in makefile

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 19 Jul 2021 08:50:46 +0200

xlnx-kria-firmware (0.3) focal; urgency=medium

  * Build dtb and dtbos from sources. Incorporating those directly in
    the package as they are not publicly available yet.
  * Patch device tree to set regulators to always on (LP: #1933431)

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 16 Jul 2021 12:31:55 +0200

xlnx-kria-firmware (0.2) focal; urgency=medium

  * Load display port dtbo
  * Finalize copyright file
  * Fix lintian warnings

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Thu, 17 Jun 2021 11:05:06 +0200

xlnx-kria-firmware (0.1) focal; urgency=medium

  * Initial release. Includes dtb and dtbo's for Kria SOM.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 08 Jun 2021 10:59:10 +0200

=== debian/control ===
Source: xlnx-kria-firmware
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 10), device-tree-compiler, cpp
Standards-Version: 4.1.2

Package: xlnx-kria-firmware
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools-core
Description: Kria SOM device tree and device tree overlays, plus
 initramfs script to handle dtbo loading.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=fru_tools

override_dh_auto_build:
	dh_auto_build
# Build device trees
	make -C device-tree

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$$PWD/debian/xlnx-kria-firmware/usr
# Remove empty /usr/lib/fmc-tools folder
	rm -rf $$PWD/debian/xlnx-kria-firmware/usr/lib/
# Install device trees
	make -C device-tree DESTDIR=$$PWD/debian/xlnx-kria-firmware prefix=/usr install

override_dh_auto_clean:
	dh_auto_clean
	make -C device-tree clean

# fru_tools tests tries to use valgrind, prevent that
override_dh_auto_test:
	:
